{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gcc-toolset/gcc-toolset-14-libtsan-devel",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gcc-toolset-14-libtsan-devel_function_install",
            "desc": "测试软件包gcc-toolset-14-libtsan-devel能否成功安装。"
        },
        {
            "name": "test_gcc-toolset-14-libtsan-devel_function_check_files",
            "desc": "验证安装后，关键的线程消毒库头文件（如tsan_interface.h）和库文件是否存在于标准路径中。"
        },
        {
            "name": "test_gcc-toolset-14-libtsan-devel_function_uninstall",
            "desc": "测试软件包gcc-toolset-14-libtsan-devel能否被完整且正确地卸载。"
        },
        {
            "name": "test_gcc-toolset-14-libtsan-devel_function_compile",
            "desc": "测试使用gcc-toolset-14的编译器，并链接libtsan库，能否成功编译一个简单的多线程C程序。"
        }
    ]
}